Loading...
Searching...
No Matches
output2d.c File Reference
`#include <stdio.h>`
`#include <math.h>`
`#include <errno.h>`
`#include <grass/gis.h>`
`#include <grass/raster.h>`
`#include <grass/bitmap.h>`
`#include <grass/linkm.h>`
`#include <grass/interpf.h>`
`#include <grass/glocale.h>`
Include dependency graph for output2d.c:

Go to the source code of this file.

## Macros

#define | MULT 100000

## Functions

int | IL_output_2d (struct interp_params *params, struct Cell_head *cellhd, double zmin, double zmax, double zminac, double zmaxac, double c1min, double c1max, double c2min, double c2max, double gmin, double gmax, double ertot, char *input, double dnorm, int dtens, int vect, int n_points)

## Detailed Description

Author
  H. Mitasova, I. Kosinovsky, D. Gerdesm, Summer 1992 (original authors)
  modified by McCauley in August 1995
  modified by Mitasova in August 1995
  modified by Mitasova in August 1999 (fix for elev color)
  modified by Brown in September 1999 (fix for Timestamps)
  modified by Mitasova in Nov. 1999 (write given tension into hist)

Copyright
  (C) 1992-2006 by Helena Mitasova and the GRASS Development Team
  This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Definition in file output2d.c.

## Macro Definition Documentation

## MULT

#define MULT 100000

Definition at line 30 of file output2d.c.

Referenced by IL_output_2d(), and IL_resample_output_2d().

## Function Documentation

## IL_output_2d()

int IL_output_2d | ( | struct interp_params * | params,
|  | struct Cell_head * | cellhd,
|  | double | zmin,
|  | double | zmax,
|  | double | zminac,
|  | double | zmaxac,
|  | double | c1min,
|  | double | c1max,
|  | double | c2min,
|  | double | c2max,
|  | double | gmin,
|  | double | gmax,
|  | double | ertot,
|  | char * | input,
|  | double | dnorm,
|  | int | dtens,
|  | int | vect,
|  | int | n_points )

Creates output files as well as history files and color tables for them.

ertot can be also called RMS deviation of the interpolated surface.

Parameters

  cellhd | current region
  zmax | min,max input z-values
  c1max | min,max interpolated values
  ertot | total interpolating func. error
  input | input file name
  dnorm | normalization factor

Definition at line 57 of file output2d.c.

References amax1(), amin1(), interp_params::aspect, interp_params::deriv, interp_params::dmin, interp_params::elev, interp_params::fi, G_fatal_error(), G_find_file(), G_warning(), G_write_raster_timestamp(), interp_params::kmax, interp_params::kmin, interp_params::mcurv, MULT, interp_params::nsizc, interp_params::nsizr, NULL, interp_params::pcurv, interp_params::rsm, interp_params::scalex, interp_params::slope, interp_params::smatt, interp_params::tcurv, interp_params::theta, interp_params::Tmp_fd_dx, interp_params::Tmp_fd_dy, interp_params::Tmp_fd_xx, interp_params::Tmp_fd_xy, interp_params::Tmp_fd_yy, interp_params::Tmp_fd_z, interp_params::ts, and interp_params::zmult.